Subject: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2022 08:28:33 +0200

> Cc: Manuel Uberti <[email-masked]>, [email-masked],
>  Dmitry Gutov <[email-masked]>
> From: João Távora <[email-masked]>
> Date: Sat, 29 Oct 2022 23:49:01 +0100
> 
> Have you considered the converse approach which is to be conservative?
> It doesn't have these drawbacks.  In your project buffer's bucket put
> only non-earmuffed, non-hidden, file-visiting buffers automatically.
> Those are relatively safe.  Then have a buffer-local variable for
> packages to opt into -- not opt out of -- your scheme.

I believe I made a similar argument with Dmitry back when project.el
was added to Emacs.  Dmitry didn't like my suggestion back then, and I
have doubts that he changed his mind.